Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class ReportingFailuresEmbedderMonitor

    java.lang.Object
      org.jbehave.core.embedder.NullEmbedderMonitor
          org.jbehave.core.embedder.PrintStreamEmbedderMonitor
              org.jbehave.core.embedder.ReportingFailuresEmbedderMonitor

All Implemented Interfaces:
  EmbedderMonitor

    public class ReportingFailuresEmbedderMonitor

extends PrintStreamEmbedderMonitor

Monitor that reports to `PrintStream` only failure events

Constructor Summary
`ReportingFailuresEmbedderMonitor()`
`ReportingFailuresEmbedderMonitor(PrintStream output)`

Method Summary
`void` | `generatingReportsView(File outputDirectory, List<String> formats, Properties viewProperties)`
`void` | `reportsViewGenerated(ReportsCount count)`
`void` | `runningEmbeddable(String name)`
`void` | `runningStory(String path)`

Methods inherited from class org.jbehave.core.embedder.PrintStreamEmbedderMonitor
`annotatedInstanceNotOfType, batchFailed, beforeOrAfterStoriesFailed, embeddableFailed, embeddableNotConfigurable, embeddablesSkipped, generatingMapsView, generatingNavigatorView, mappingStory, mapsViewGenerationFailed, metaNotAllowed, navigatorViewGenerationFailed, navigatorViewNotGenerated, print, printStackTrace, processingSystemProperties, reportsViewFailures, reportsViewGenerationFailed, reportsViewNotGenerated, runningWithAnnotatedEmbedderRunner, storiesNotAllowed, storiesSkipped, storyFailed, storyTimeout, systemPropertySet, toString, usingControls, usingExecutorService, usingThreads`

Methods inherited from class org.jbehave.core.embedder.NullEmbedderMonitor
`storiesNotAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReportingFailuresEmbedderMonitor

    public ReportingFailuresEmbedderMonitor()

### ReportingFailuresEmbedderMonitor

    public ReportingFailuresEmbedderMonitor(PrintStream output)

Method Detail

### runningEmbeddable

    public void runningEmbeddable(String name)

  Specified by:
    `runningEmbeddable` in interface `EmbedderMonitor`
  Overrides:
    `runningEmbeddable` in class `PrintStreamEmbedderMonitor`

### runningStory

    public void runningStory(String path)

  Specified by:
    `runningStory` in interface `EmbedderMonitor`
  Overrides:
    `runningStory` in class `PrintStreamEmbedderMonitor`

### generatingReportsView

    public void generatingReportsView(File outputDirectory,
                                      List<String> formats,
                                      Properties viewProperties)

  Specified by:
    `generatingReportsView` in interface `EmbedderMonitor`
  Overrides:
    `generatingReportsView` in class `PrintStreamEmbedderMonitor`

### reportsViewGenerated

    public void reportsViewGenerated(ReportsCount count)

  Specified by:
    `reportsViewGenerated` in interface `EmbedderMonitor`
  Overrides:
    `reportsViewGenerated` in class `PrintStreamEmbedderMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.